Skip to main content

Authentication

Common Patterns

Create and Use a Session

Upload and Process Files

API Endpoints Summary

Agents API

Batch Processing API

Files API

Fine-Tuning Service

Inference API

Projects API

Direct Query

The Direct Query endpoint is deprecated as of version 2.0.1 of the Archetype platform and should no longer be used for new code. Use the Inference API’s Direct Query endpoint (POST /api/inference/query) instead.

Lens API

The Lens API has been deprecated and should no longer be used for new code.

Error Handling

This example demonstrates both how to handle errors and how to support retrying API calls when transient errors occur.

Common Error Codes

WebSocket Usage

Rate Limits

  • Default: 100 requests per minute
  • Burst: Up to 20 requests per second
  • Sessions: 10 concurrent sessions per organization
  • Files: 1GB max size, 100 files per hour

Quick Troubleshooting

1

Check API Key

2

List Available Lenses

3

Check Active Sessions

4

Clean Up Sessions

Resources

Developer Console

Manage API keys and organization settings, run batch jobs, and create and manage agents

Support

Get help from our technical team